package com.book.server.controller;

import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.AutoConfigureMockMvc;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.MediaType;
import org.springframework.test.context.junit4.SpringRunner;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.MvcResult;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.result.MockMvcResultHandlers;
import org.springframework.test.web.servlet.result.MockMvcResultMatchers;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.post;

/**
 * created in 2021/9/28
 * Project: book-store
 *
 * @author win7
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
@AutoConfigureMockMvc
public class SunControllerTest {
    @Autowired
    private MockMvc mockMvc;
    @Autowired
    private SunDataController sunDataController;

    @Test
    public void testAdd() throws Exception {
        MockMvc mockMvc1 = mockMvc;
        MvcResult mvcResult = mockMvc.perform(MockMvcRequestBuilders.post("/api/sun/secret/deciphering")
                .accept(MediaType.APPLICATION_JSON)
                .param("start_time", "2021-09-27 00:00:00")
                .param("end_time", "2021-09-28 00:00:00"))
                .andExpect(MockMvcResultMatchers.status().isOk())
                .andDo(MockMvcResultHandlers.print())
                .andReturn();


        log.info(mvcResult.getResponse().getContentAsString());
    }
}
